pqxx::no_bound Struct Reference

An unlimited boundary value to a pqxx::range. More...

`#include <range.hxx>`

## Public Member Functions

template<typename TYPE >
constexpr bool | extends_down_to (TYPE const &) const noexcept
template<typename TYPE >
constexpr bool | extends_up_to (TYPE const &) const noexcept

## Detailed Description

An unlimited boundary value to a pqxx::range.

Use this as a lower or upper bound for a range if the range should extend to infinity on that side.

An unlimited boundary is always inclusive of "infinity" values, if the range's value type supports them.

## Member Function Documentation

## extends_down_to()

template<typename TYPE >

constexpr bool pqxx::no_bound::extends_down_to | ( | TYPE const & |  | ) | const

constexpr noexcept

## extends_up_to()

template<typename TYPE >

constexpr bool pqxx::no_bound::extends_up_to | ( | TYPE const & |  | ) | const

constexpr noexcept

The documentation for this struct was generated from the following file:

- range.hxx